Bug 123021 - Changed "Status appears" in gimlet preferences, gnome-im-switcher-applet has CPU usage over 80%.
Changed "Status appears" in gimlet preferences, gnome-im-switcher-applet has ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: im-sdk (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Yu Shao
: i18n
Depends On:
Blocks: IIIMF
  Show dependency treegraph
 
Reported: 2004-05-11 09:14 EDT by sangu
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-21 21:18:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2004-05-11 09:14:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040506 Epiphany/1.2.5

Description of problem:
Changed "Status appears" in gimet preferences,
gnome-im-switcher-applet  has 100% CPU usage.

Version-Release number of selected component (if applicable):
im-sdk-11.4-42

How reproducible:
Always

Steps to Reproduce:
1. Execute gimet preferences.
2. Change Status appears.
3. Execute top in gnome-terminal.

Actual Results:  gnome-im-switcher-applet has CPU usage over 80%.

Additional info:

locale ko_KR.UTF-8, GNOME 2.6, kernel-2.6.5-1.358, xorg-x11-6.7.0-2.
Comment 1 Yu Shao 2004-05-19 01:24:01 EDT
A suggested patch, without patch, gimlet will enter into a infinite loop.

--- preference.c.orig   2004-05-19 15:13:40.463417160 +1000
+++ preference.c        2004-05-19 15:14:32.005581560 +1000
@@ -337,7 +337,7 @@
   value = gconf_value_get_bool (entry->value);
  
   gimlet->showicon = (value != 0);
-  appearance_update (gimlet);
+  //appearance_update (gimlet);
 }
  
 static void
@@ -354,7 +354,7 @@
   value = gconf_value_get_bool (entry->value);
  
   gimlet->showtext = (value != 0);
-  appearance_update (gimlet);
+  //appearance_update (gimlet);
 }
  
 static gboolean

Note You need to log in before you can comment on or make changes to this bug.